Page MenuHomePhabricator

Couldn't fetch revision cu_changes table links to (cuc_this_oldid xxxx)
Closed, ResolvedPublic

Description

The cuc_id is 885298421. Error is reproducible at Special:CheckUser by querying for that IP in a date range that includes September 7, 2019.

From /srv/mediawiki/php-1.34.0-wmf.23/extensions/CheckUser/includes/specials/SpecialCheckUser.php:1805

Logstash: https://logstash.wikimedia.org/goto/7feed5976d9b86f6bc909f81b0fe5614

Stack trace:

#0 /srv/mediawiki/php-1.34.0-wmf.23/extensions/CheckUser/includes/specials/SpecialCheckUser.php(946): SpecialCheckUser->CUChangesLine(stdClass)
#1 /srv/mediawiki/php-1.34.0-wmf.23/extensions/CheckUser/includes/specials/SpecialCheckUser.php(745): SpecialCheckUser->doIPEditsRequestOutput(Wikimedia\Rdbms\ResultWrapper, string, boolean)
#2 /srv/mediawiki/php-1.34.0-wmf.23/extensions/CheckUser/includes/specials/SpecialCheckUser.php(110): SpecialCheckUser->doIPEditsRequest(string, boolean, integer)
#3 /srv/mediawiki/php-1.34.0-wmf.23/includes/specialpage/SpecialPage.php(575): SpecialCheckUser->execute(NULL)
#4 /srv/mediawiki/php-1.34.0-wmf.23/includes/specialpage/SpecialPageFactory.php(611): SpecialPage->run(NULL)
#5 /srv/mediawiki/php-1.34.0-wmf.23/includes/MediaWiki.php(296): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#6 /srv/mediawiki/php-1.34.0-wmf.23/includes/MediaWiki.php(892): MediaWiki->performRequest()
#7 /srv/mediawiki/php-1.34.0-wmf.23/includes/MediaWiki.php(523): MediaWiki->main()
#8 /srv/mediawiki/php-1.34.0-wmf.23/index.php(44): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): require(string)
#10 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2019, 8:17 PM
Urbanecm claimed this task.Sep 20 2019, 9:28 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 20 2019, 9:28 PM

Mentioned in SAL (#wikimedia-operations) [2019-09-20T21:29:32Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.23/extensions/CheckUser: fix T233453 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2019-09-20T21:30:37Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.22/extensions/CheckUser: fix T233453 (duration: 00m 56s)

Urbanecm closed this task as Resolved.Sep 20 2019, 9:30 PM

Should be fixed.

That did it! Thank you :)